PostifyPostify Docs

Get a post

Fetches one post with its variants and latest per-channel delivery outcomes. Poll this after publishing to track delivery.

GET
/v1/posts/{id}

Fetches one post with its variants and latest per-channel delivery outcomes. Poll this after publishing to track delivery.

Authorization

AuthorizationBearer <token>

Organization API key as a Bearer token (postify_live_…).

In: header

Path Parameters

id*string

Post identifier.

Length1 <= length

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/posts/string"
{  "id": "string",  "status": "draft",  "type": "single",  "title": "string",  "body": "string",  "scheduled_at": "2019-08-24T14:15:22Z",  "published_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "variants": [    {      "id": "string",      "channel_id": "string",      "body": "string",      "media": [        {          "url": "http://example.com",          "type": "image",          "alt": "string"        }      ],      "instagram_trial_reel": "manual",      "settings": {        "property1": "string",        "property2": "string"      }    }  ],  "deliveries": [    {      "channel_id": "string",      "stage": "queued",      "external_id": "string",      "error": "string"    }  ]}